cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Mitch_Yoko
Pilgrim

Bug Japanese resources

Hi,
I tried to use InstallShield 2016 in my environment.
I'm just upgrade my setup from 2015 to 2016.
But that setup does not work correctly. The setup will terminate with error message "Error -1639 Invalid command argument."
The kind of project type is "InstallScript MSI project".

I tried a couple of things to find out the condition to happened this problem,
When I set the Build parameter at Media-Releases menu, that combination are below.
Compression - Compressed
UI Languages - English (United States), Japanese

When I add Japanese UI Languages, the error will happen every time.
If I remove the Japanese UI Language from this parameter, that will complete installation normally.
When I use 2015 version, it is not occurred.

Is it bug for 2016 version?
Thank you,
Mitch
Labels (1)
Tags (2)
0 Kudos
5 Replies
hidenori
Pilgrim

Re: Bug Japanese resources

It's not reproducible on my end. I created a very simple InstallShield 2015 SP1 project with the English and Japanese support that installs a single executable file, and then migrated into InstallShield 2016. The compressed setup installed successfully without any errors. Did you make any modifications to your project after upgrading to InstallShield 2016?
0 Kudos
hidenori
Pilgrim

Re: Bug Japanese resources

We found reproduction steps and are working on creating a fix for it. I will post more information when the fix is ready to go.
0 Kudos
Mitch_Yoko
Pilgrim

I'm glad to found this problem by your side.

Hi Hidenori,

Thank you for your reply and for you found out this problem.
I didn't change the project after converting from IS2015 SP1 to IS2016.

Anyway, I stop the upgrade for all of my project right now, and I will be waiting until fix this problem.

Thanks again,
Mitch
0 Kudos
hidenori
Pilgrim

Re: Bug Japanese resources

I'm pleased to announce that InstallShield 2016 SP1 is released today. This issue has been tracked under IOJ-1741435 and fixed in the service pack.
0 Kudos
Mitch_Yoko
Pilgrim

I confirmed

I am installing the Sp1 on my environment and I confirmed it. It problem is gone.
Thanks a lot.

Mitch

hidenori wrote:
I'm pleased to announce that InstallShield 2016 SP1 is released today. This issue has been tracked under IOJ-1741435 and fixed in the service pack.
0 Kudos